<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ArtifactResolutionResult (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ArtifactResolutionResult (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../org/gradle/api/artifacts/result/ArtifactResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/result/ArtifactResolutionResult.html" target="_top">Frames</a></li>
<li><a href="ArtifactResolutionResult.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts.result</div>
<h2 title="Interface ArtifactResolutionResult" class="title">Interface ArtifactResolutionResult</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">ArtifactResolutionResult</span></pre>
<div class="block">The result of executing an artifact resolution query.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.0</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/artifacts/result/ComponentResult.html" title="interface in org.gradle.api.artifacts.result">ComponentResult</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ArtifactResolutionResult.html#getComponents()">getComponents</a></strong>()</code>
<div class="block">Return a set of <a href="../../../../../org/gradle/api/artifacts/result/ComponentResult.html" title="interface in org.gradle.api.artifacts.result"><code>ComponentResult</code></a> instances representing all requested components.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/artifacts/result/ComponentArtifactsResult.html" title="interface in org.gradle.api.artifacts.result">ComponentArtifactsResult</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ArtifactResolutionResult.html#getResolvedComponents()">getResolvedComponents</a></strong>()</code>
<div class="block">Return a set of <a href="../../../../../org/gradle/api/artifacts/result/ComponentResult.html" title="interface in org.gradle.api.artifacts.result"><code>ComponentResult</code></a> instances representing all successfully resolved components.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getComponents()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponents</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/artifacts/result/ComponentResult.html" title="interface in org.gradle.api.artifacts.result">ComponentResult</a>&gt;&nbsp;getComponents()</pre>
<div class="block"><p>Return a set of <a href="../../../../../org/gradle/api/artifacts/result/ComponentResult.html" title="interface in org.gradle.api.artifacts.result"><code>ComponentResult</code></a> instances representing all requested components.

 <p>Each element in the returned set is declared as an opaque <a href="../../../../../org/gradle/api/artifacts/result/ComponentResult.html" title="interface in org.gradle.api.artifacts.result"><code>ComponentResult</code></a>.
    However each element in the result will also implement one of the following interfaces:</p>

 <ul>
     <li><a href="../../../../../org/gradle/api/artifacts/result/ComponentArtifactsResult.html" title="interface in org.gradle.api.artifacts.result"><code>ComponentArtifactsResult</code></a> for any component that could be resolved in the set of repositories.</li>
     <li><a href="../../../../../org/gradle/api/artifacts/result/UnresolvedComponentResult.html" title="interface in org.gradle.api.artifacts.result"><code>UnresolvedComponentResult</code></a> for any component that could not be resolved from the set of repositories.</li>
 </ul></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the set of results for all requested components</dd></dl>
</li>
</ul>
<a name="getResolvedComponents()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getResolvedComponents</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/artifacts/result/ComponentArtifactsResult.html" title="interface in org.gradle.api.artifacts.result">ComponentArtifactsResult</a>&gt;&nbsp;getResolvedComponents()</pre>
<div class="block"><p>Return a set of <a href="../../../../../org/gradle/api/artifacts/result/ComponentResult.html" title="interface in org.gradle.api.artifacts.result"><code>ComponentResult</code></a> instances representing all successfully resolved components.

 <p>Calling this method is the same as calling <a href="../../../../../org/gradle/api/artifacts/result/ArtifactResolutionResult.html#getComponents()"><code>getComponents()</code></a> and filtering the resulting set for elements of type <a href="../../../../../org/gradle/api/artifacts/result/ComponentArtifactsResult.html" title="interface in org.gradle.api.artifacts.result"><code>ComponentArtifactsResult</code></a>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the set of all successfully resolved components</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../org/gradle/api/artifacts/result/ArtifactResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/result/ArtifactResolutionResult.html" target="_top">Frames</a></li>
<li><a href="ArtifactResolutionResult.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
